#3708 closed task (fixed)

Remove Doxygen comments from confdefs.h

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: doc Version: 5
Severity: normal Keywords: qualification
Cc: Blocked By:
Blocking: #3705

Description

The confdefs.h file contains Doxygen comments. They are not helpful and lead to a confusing Doxygen output. The documentation place for the RTEMS configuration is the RTEMS Classic API Guide:

https://docs.rtems.org/branches/master/c-user/configuring_a_system.html

Change History (4)

comment:1 Changed on Feb 27, 2019 at 11:48:33 PM by Chris Johns

Can a link be added so doxygen generate docs point to the documentation?

comment:2 Changed on Feb 27, 2019 at 11:52:08 PM by Joel Sherrill

I am against a patch that removes them without verifying that all info in the Doxygen comments is already in the Classic API Guide. There has to be at least some information in confdefs.h comments that isn't in the manual.

comment:3 Changed on Feb 28, 2019 at 2:18:19 PM by Sebastian Huber

I think we all agreed that the user documentation is in the manuals and Doxygen is for internal use, e.g. for RTEMS contributors.

If something is in Doxygen comments in confdefs.h which is not in the manual, then of course we should update the manual.

comment:4 Changed on Jun 1, 2020 at 11:27:20 AM by Sebastian Huber

Milestone: 6.15.1
Resolution: fixed
Status: assignedclosed
Version: 65

Removing the Doxygen markup from <rtems/confdefs.h> was a side-effect of #3875. With the new specification items for the application configuration options it would be possible to generate Doxygen markup for them: #3994.

Note: See TracTickets for help on using tickets.